Package org.eclipse.jface.preference

## Class PathEditor

- java.lang.Object
- - org.eclipse.jface.preference.FieldEditor
  - - org.eclipse.jface.preference.ListEditor
    - - org.eclipse.jface.preference.PathEditor

    public class PathEditor
    extends ListEditor

A field editor to edit directory paths.

### Field Summary

### Fields inherited from class org.eclipse.jface.preference.FieldEditor

`HORIZONTAL_GAP, IS_VALID, VALUE`

### Constructor Summary

Constructors
`protected` `PathEditor()` Creates a new path field editor
`` `PathEditor​(String name, String labelText, String dirChooserLabelText, Composite parent)` Creates a path field editor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `createList​(String[] items)` Combines the given list of items into a single string.
`protected String` `getNewInputObject()` Creates and returns a new item for the list.
`protected String[]` `parseString​(String stringList)` Splits the given string into a list of strings.

### Methods inherited from class org.eclipse.jface.preference.ListEditor

`adjustForNumColumns, createSelectionListener, doFillIntoGrid, doLoad, doLoadDefault, doStore, getAddButton, getButtonBoxControl, getDownButton, getList, getListControl, getNumberOfControls, getRemoveButton, getShell, getUpButton, selectionChanged, setEnabled, setFocus`

### Methods inherited from class org.eclipse.jface.preference.FieldEditor

`applyFont, checkParent, clearErrorMessage, clearMessage, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, createControl, dispose, fillIntoGrid, fireStateChanged, fireValueChanged, getFieldEditorFontName, getLabelControl, getLabelControl, getLabelText, getPage, getPreferenceName, getPreferencePage, getPreferenceStore, init, isValid, load, loadDefault, presentsDefaultValue, refreshValidState, setButtonLayoutData, setLabelText, setPage, setPreferenceName, setPreferencePage, setPreferenceStore, setPresentsDefaultValue, setPropertyChangeListener, showErrorMessage, showMessage, store`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathEditor

    protected PathEditor()

Creates a new path field editor

#### PathEditor

    public PathEditor​(String name,
                      String labelText,
                      String dirChooserLabelText,
                      Composite parent)

Creates a path field editor.

Parameters:
  `name` - the name of the preference this field editor works on
  `labelText` - the label text of the field editor
  `dirChooserLabelText` - the label text displayed for the directory chooser
  `parent` - the parent of the field editor's control

### Method Detail

#### createList

    protected String createList​(String[] items)

Description copied from class: `ListEditor`
Combines the given list of items into a single string. This method is the converse of `parseString`.

Subclasses must implement this method.

Specified by:
  `createList` in class `ListEditor`
Parameters:
  `items` - the list of items
Returns:
  the combined string
See Also:
  `ListEditor.parseString(java.lang.String)`

#### getNewInputObject

    protected String getNewInputObject()

Description copied from class: `ListEditor`
Creates and returns a new item for the list.

Subclasses must implement this method.

Specified by:
  `getNewInputObject` in class `ListEditor`
Returns:
  a new item

#### parseString

    protected String[] parseString​(String stringList)

Description copied from class: `ListEditor`
Splits the given string into a list of strings. This method is the converse of `createList`.

Subclasses must implement this method.

Specified by:
  `parseString` in class `ListEditor`
Parameters:
  `stringList` - the string
Returns:
  an array of `String`
See Also:
  `ListEditor.createList(java.lang.String[])`